#ifndef APP_H
#define APP_H

#include <Message.h>
#include <Window.h>
#include <gloox/connectionlistener.h>
#include <gloox/presencehandler.h>

#define APP_NAME   "Renga"
#define APP_AUTHOR "hex&andre"

const uint32 msgConnectButtonClicked = 'mCBC';

#include <Application.h>

class Client : public gloox::ConnectionListener, gloox::PresenceHandler {

};

class App : public BApplication
{
	public:
		App(void);
		virtual void MessageReceived(BMessage *msg);
		BWindow *ConnectWindow;
		BWindow *ContactsWindow;
		Client *client;
};

#endif
